Debian Bug report logs - #660947
lebiniou FTBFS on architectures where char is unsigned.

version graph

Package: lebiniou; Maintainer for lebiniou is Olivier Girondel <olivier@biniou.info>; Source for lebiniou is src:lebiniou.

Reported by: peter green <peter.green@postgrad.manchester.ac.uk>

Date: Thu, 23 Feb 2012 02:00:02 UTC

Severity: serious

Tags: patch

Found in version lebiniou/3.15-1

Fixed in version lebiniou/3.15-1.1

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Olivier Girondel <olivier@biniou.info>:
Bug#660947; Package lebiniou. (Thu, 23 Feb 2012 02:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <peter.green@postgrad.manchester.ac.uk>:
New Bug report received and forwarded. Copy sent to Olivier Girondel <olivier@biniou.info>. (Thu, 23 Feb 2012 02:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: peter green <peter.green@postgrad.manchester.ac.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lebiniou FTBFS on architectures where char is unsigned.
Date: Thu, 23 Feb 2012 01:56:20 +0000
[Message part 1 (text/plain, inline)]
package: lebiniou
severity: serious
tags: patch
version: 3.15-1

lebiniou FTBFS on armel, armhf, powerpc, s390 and s390x with the 
following error.

make[6]: Entering directory 
`/build/buildd-lebiniou_3.15-1-armhf-gOcAq_/lebiniou-3.15/plugins/stable/main/speaker'
CC speaker_so-speaker.o
speaker.c: In function 'run':
speaker.c:108:3: error: comparison is always false due to limited range 
of data type [-Werror=type-limits]
cc1: all warnings being treated as errors

The common thing about these architectures is they have char unsigned by 
default.

Anyway I found the offending variable of type char called volume. I 
fixed the issue by changing the types of the variable and the typecast 
(from float) used to set the variable to "signed char". I believe this 
is a correct fix from looking at the code but I do not have any 
experience with the package.

Patch and series file are attatched, just create debian/patches and drop 
them in (the package uses 3.0 (quilt) but currently has no patches)
[fix-char-signdness.patch (text/x-diff, attachment)]
[series (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#660947; Package lebiniou. (Fri, 24 Feb 2012 00:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Girondel <olivier@biniou.info>:
Extra info received and forwarded to list. (Fri, 24 Feb 2012 00:42:06 GMT) Full text and rfc822 format available.

Message #10 received at 660947@bugs.debian.org (full text, mbox):

From: Olivier Girondel <olivier@biniou.info>
To: 660947@bugs.debian.org
Cc: peter green <peter.green@postgrad.manchester.ac.uk>, olivier.girondel@gmail.com
Subject: Confirmed
Date: Fri, 24 Feb 2012 01:10:36 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Peter,

I confirm the bug, but will fix it another way:

The "volume" value MUST be >= 0. Negative values do not make sense
here, so I'll be more defensive and will add some

	assert(volume >= 0.0);

where needed

Thanks for the bug report,

- --
Olivier
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk9G1XwACgkQpqVXaJzJYNJ/cgCfb20sAQC473uX2jYZ/4toxysn
26gAniQxZz8BfyPb1znRKBTaRFjncVXM
=T1xj
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Olivier Girondel <olivier@biniou.info>:
Bug#660947; Package lebiniou. (Mon, 05 Mar 2012 01:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Olivier Girondel <olivier@biniou.info>. (Mon, 05 Mar 2012 01:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 660947@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 660947@bugs.debian.org
Subject: lebiniou: diff for NMU version 3.15-1.1
Date: Mon, 5 Mar 2012 02:42:17 +0100
[Message part 1 (text/plain, inline)]
tags 660947 + pending
thanks

Dear maintainer,

I've prepared an NMU for lebiniou (versioned as 3.15-1.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
  Hector Oron
[lebiniou-3.15-1.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Mon, 05 Mar 2012 01:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#660947; Package lebiniou. (Mon, 05 Mar 2012 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Girondel <olivier@biniou.info>:
Extra info received and forwarded to list. (Mon, 05 Mar 2012 22:21:03 GMT) Full text and rfc822 format available.

Message #22 received at 660947@bugs.debian.org (full text, mbox):

From: Olivier Girondel <olivier@biniou.info>
To: Hector Oron <zumbi@debian.org>, 660947@bugs.debian.org
Subject: Re: Bug#660947: lebiniou: diff for NMU version 3.15-1.1
Date: Mon, 05 Mar 2012 23:17:00 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Hector,

You can go with this patch for now, looks OK to me

Thanks !

- --
Olivier
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk9VO1sACgkQpqVXaJzJYNLAqACfVkfVpTtmaD6dWXss4wN2hxqy
NJ8An3enmfqAQImP1+BktjQOm6tsUdF+
=XnGx
-----END PGP SIGNATURE-----




Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Wed, 07 Mar 2012 02:57:06 GMT) Full text and rfc822 format available.

Notification sent to peter green <peter.green@postgrad.manchester.ac.uk>:
Bug acknowledged by developer. (Wed, 07 Mar 2012 02:57:06 GMT) Full text and rfc822 format available.

Message #27 received at 660947-close@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 660947-close@bugs.debian.org
Subject: Bug#660947: fixed in lebiniou 3.15-1.1
Date: Wed, 07 Mar 2012 02:56:09 +0000
Source: lebiniou
Source-Version: 3.15-1.1

We believe that the bug you reported is fixed in the latest version of
lebiniou, which is due to be installed in the Debian FTP archive:

lebiniou_3.15-1.1.debian.tar.gz
  to main/l/lebiniou/lebiniou_3.15-1.1.debian.tar.gz
lebiniou_3.15-1.1.dsc
  to main/l/lebiniou/lebiniou_3.15-1.1.dsc
lebiniou_3.15-1.1_armel.deb
  to main/l/lebiniou/lebiniou_3.15-1.1_armel.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 660947@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated lebiniou package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 05 Mar 2012 01:07:16 +0000
Source: lebiniou
Binary: lebiniou
Architecture: source armel
Version: 3.15-1.1
Distribution: unstable
Urgency: low
Maintainer: Olivier Girondel <olivier@biniou.info>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 lebiniou   - displays images that evolve with sound
Closes: 660947
Changes: 
 lebiniou (3.15-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "lebiniou FTBFS on architectures where char is unsigned."
     - Thanks Peter Green (Closes: #660947)
Checksums-Sha1: 
 de7f66d0572093fd38b8ad5cc6889a2c44ab2808 1802 lebiniou_3.15-1.1.dsc
 27917deaaf9606525da5dd5e5d8a3de085779d24 4293 lebiniou_3.15-1.1.debian.tar.gz
 61ea5a0cf5912a6bbc37bc3ff44dda21356ee785 399838 lebiniou_3.15-1.1_armel.deb
Checksums-Sha256: 
 4665750812d4b202d9fea0c0d7df35dd8e5cd423123cf769e30a839d2b5e7015 1802 lebiniou_3.15-1.1.dsc
 86b5d97fda8372cb8965a9015aa7bcc8f0983bb4110633e21aafa4506917ac98 4293 lebiniou_3.15-1.1.debian.tar.gz
 80ec89b2915032985c70cf2d65d8e68636fa541fefda1552f9383d4c23ead3c1 399838 lebiniou_3.15-1.1_armel.deb
Files: 
 e8ebda19aac9bf14e389a68ced0d825c 1802 graphics extra lebiniou_3.15-1.1.dsc
 aec357a82e0550700fed5f0b827ef341 4293 graphics extra lebiniou_3.15-1.1.debian.tar.gz
 d941f2dd8ba83a014b393bbf57b5a5ff 399838 graphics extra lebiniou_3.15-1.1_armel.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPVBm1AAoJEK8ig6p24qx7VP4P/26e4tmmRPz8JBVNe/KVbc1Z
+6Kxtfqrukq3thC8vAndIVxO8lVnIlWjgBR4LNXSu7ESO1rcAOIkb9/Sxau+mCZH
iuag19BI0iceM2HF5u7fCiQ1FcOgH1wxy3GCTMyZsJUVeozgJdnv/311ZP6xINri
tLHmgw72L67r7bIHnOcuZAz5XGxzai1E9jYVthgQJyEOodC3GYUj+iFn4iXWUQ72
2wvXi/KJKMK1qkNS8f+Y5mklV3Zvd6jNVsvp1+OSRaaZf4h0wghRTW838W7kLEov
SbmJFUoALTSyygTu/04VrHbk6/8UoMTQtnSetMYGPwRA9NE9HyOdER5LLjCc/Xya
E8Z947GC1z9DYeOyX10CGmNwvbzQaPeETnhBh0zYsv7dzCbVKZoqPmkMJr2O0Vt/
pJl8hi0X/HguEYPh/1hWsq0s4N3XRzJBsls/n7/5D4PfXmNi/Au9FfWM2VXJQH30
sBWcqxQuJ6r3MpPe3jlYI0uuFMQzBjUTxf6Mk15lLoyJqdW7pkvoTI88+ZI5OjxU
9bSFhhbiTm9K3nsvSvu+5XkN9CXM2Fu3BXxVI5AF7RN/TnYMoVgWfN+3mX34TMEj
GD4MxPejf+lvvHW5t+TTx5z2i0mPyfhYhHwlqkUYpDU/nGNrmX11GKTjkBnKvYba
b0DGMVDtjXxDQ/Y5POAq
=8zZA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Apr 2012 07:37:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:30:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.